let app = getApp();
let domain = app.globalData.domain;
//获取用户信息的url

let addExSignUrl = domain + "/dingding/addExSign";
let delExSignUrl = domain + "/dingding/delExSign";

Page({
  
  data: {
     signList:[],
     mid:null,
     personNum:0
  },


  formSubmit: function(e){
    console.log('form发生了submit事件，携带数据为：', e.detail.value);

     var _this = this;
     if(e.detail.value.signName.length == 0){
        dd.alert({
          title: "用户名不能为空",
          buttonText: '确定'
        })
        return false;
     }
     var sign={};
     sign['signName']=e.detail.value.signName;
      sign['signEmail']=e.detail.value.signEmail;
       sign['signMobile']=e.detail.value.signMobile;
        
  var signList=new Array();
     dd.getStorage({
     key: 'signList',
     success: function(res) {
          signList=res.data.signList;
          sign['signId']=signList.length-1;
           signList.push(sign);
       // dd.alert({content: '获取成功：' + res.data.cityName});
     },
    fail: function(res){
         sign['signId']=0;
         signList.push(sign);
      //dd.alert({content: res.errorMessage});
    }
   });
     
   
    
   dd.setStorage({
     key: 'signList',
     data: signList,
     success: function() {
        dd.alert({
             title: '添加成功',
           content: '添加成功',
            buttonText: '确定',
             success: () => {            
              _this.setData({
                 personNum: _this.data.personNum + 1,
                 signList,
     
               });
             }, 
           });
  }
});

    dd.httpRequest({
      url: addExSignUrl,
      method: 'POST',
      data: {
        mid: _this.data.mid,
        signMobile: e.detail.value.signMobile,
        signEmail: e.detail.value.signEmail,
        signName: e.detail.value.signName,
        
      },
      dataType: 'json',
      
      success: function(res) {

         console.log('success----', res)
        if (res.data.success) {
          //console.log("预定成功");
       

          // var employeeList= _this.data.employeeList;
            
          // if(getCurrentPages().length !=2){
          //   // let pages = getCurrentPages(); //当前页面栈
          //   //   let curPage  = pages[pages.length - 3]; 
          //   //     let data = curPage.data;
          //       employeeList = [];
          //       _this.setData({
          //         employeeList:employeeList
          //       })
          // }
                  

        } else {
          dd.showToast({
            type: 'fail',
            content: res.data.message,
            duration: 3000,
            success: () => {
              //  dd.navigateTo({
              //    url: '../index/index'
              //  });
            },
          });
        }
      },
      fail: function(res) {
        console.log("httpRequestFail---", res)
        dd.alert({ content: JSON.stringify(res) });
      },
      complete: function(res) {
        dd.hideLoading();
      }

    });
  },

  deleteSign:function (e){
     //console.log(e);
     var _this=this;
    dd.httpRequest({
      url: delExSignUrl,
      method: 'POST',
      data: {
        signId: e.currentTarget.dataset.id,

      },
      dataType: 'json',
      success: function(res) {
        //   console.log('success----', res)


        if (res.data.success) {
          //console.log("预定成功");
          const index = e.currentTarget.dataset.index;
          var employeeList = _this.data.employeeList;
          employeeList = remove(employeeList, index);
          _this.setData({
            employeeList
          })
        } else {
          dd.showToast({
            type: 'fail',
            content: res.data.message,
            duration: 3000,
            success: () => {
              //  dd.navigateTo({
              //    url: '../index/index'
              //  });
            },
          });
        }
      },
      fail: function(res) {
        console.log("httpRequestFail---", res)
        //dd.alert({ content: JSON.stringify(res) });
      },
      complete: function(res) {
        dd.hideLoading();
      }

    });
 

  },
  onLoad: function(query) {
    
      //var _this = this;
   
      // if(getCurrentPages().length !=2){
      //   // let pages = getCurrentPages(); //当前页面栈
      //   //   let curPage  = pages[pages.length - 3]; 
      //   //     let data = curPage.data;
      //       employeeList = [];
      //       _this.setData({
      //          isshowvisitor=0,
      //          employeeList:employeeList
      //       })
      // }
  },

  onReady(query) {
    // 页面加载完成
  },
  onShow() {
    // 页面显示
   // this.onLoad()
  //  if(getCurrentPages().length >=3){
  //             console.log('执行执行-----');
  //               this.setData({
  //                 //currentPage: 1,
  //                 employeeList:[]
  //               })
  //               this.onLoad()
  //         }
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭

    // var _this = this;
    //  var employeeList= _this.data.employeeList;
    //  var pages = getCurrentPages(); //当前页面栈
   
    //   if(pages.length >=3){
    //       var beforePage = pages[pages.length - 3]; //获取上一个页面的实例对象
    //         //_this.data.employeeList = [];
    //          employeeList = [];
    //       _this.setData({
    //         employeeList
    //       })
    //       }
    //        console.log('employeeList---', _this.data.employeeList);

  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});

function remove(array, index) {
  if (index <= (array.length - 1)) {
    for (var i = index; i < array.length; i++) {
      array[i] = array[i + 1];
    }
  }
  else {
    throw new Error('超出最大索引！');
  }
  array.length = array.length - 1;
  return array;
} 
